//
//  BehaviorCreationController.h
//  VDMX
//
//  Created by bagheera on 5/16/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BehaviorChainManager.h"
@class BehaviorChainManager;
@class BehaviorChainWindow;
#import "RandomUIObjects.h"




@interface BehaviorCreationController : NSObject {
	IBOutlet VVNSPopUpButton		*potentialBehaviorsMenu;
	BOOL							okToClick;
	IBOutlet BehaviorChainWindow	*behaviorChainWindow;
	NSMutableArray					*creationArray;	//	mutable array of number fx in the folder
	NSMenu							*creationMenu;
	//	index of row that started the drag, or NSNotFound (creation list deselects itself, so i can't check the 'selectedRow' property later)
	unsigned int					draggingIndex;
}

//	this method populates the creationArray via the creationArrayController with files that can be created...
- (void) populateCreationArray;
- (IBAction) behaviorsMenuUsed:(id)sender;

@end
