


@protocol FXChainManagerProtocol

- (void) useCompModeNamed:(NSString *)realCompName;
- (BOOL) containsThisLayer:(id)containsMe;

@property (readonly) int depth;
@property (readonly) BOOL groupFlag;
@property (readonly) NSMutableArray *layerArray;
@property (assign, readwrite) NSString *layerName;
@property (readonly) id parentLayer;
@property (readonly) NSSize layerSize;
@property (readonly) id compFilter;

@end




@protocol ChainManagerDelegateProtocol

- (void) setChainManager:(id)n;
- (void) updateChainBasedLists;

@end





@protocol LayerChainManagerProtocol

- (void) setLayerChainManager:(id)n;

@end


