//
//  FXObjectPanel.h
//  NewFXTestApp
//
//  Created by bagheera on 12/12/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GlobalKeys.h"
#import "FXChainManager.h"
@class FXChainManager;
#import "DataSourceController.h"




@interface FXObjectPanel : NSView {
	id						bypassButton;
	IBOutlet id				myFXObject;
	NSMutableDictionary		*fontInfo;
	
	long					clickMask;		//	mask representing what user clicked on
	NSPoint					mouseDownClickLoc;	//	the local point where i clicked
	BOOL					optOnClick;
	
	//	images for drawing shit.  just pointers from the pluginResourceDict in my FXChainManager
	NSImage					*deleteImg;
	NSImage					*collapsedImage;
	NSImage					*expandedImage;
	//	rects for the above images
	NSRect					onOffImgRect;
	NSRect					deleteImgRect;
	NSRect					expandCollapseImgRect;
	
	BOOL					collapsedFlag;
	BOOL					onFlag;
	DataSourceController	*dataSourceController;
}

- (void) prepareToBeDeleted;

- (void) loadImagesFromManager;
- (void) updateImageLocationsWithSize:(NSSize)newSize;
@property (readonly) FXObject *myFXObject;
- (void) mouseDown:(NSEvent *)event;
- (void) mouseDragged:(NSEvent *)event;
- (void) pasteboard:(NSPasteboard *)sender provideDataForType:(NSString *)type;

- (void) forceRedrawNotification:(NSNotification *)note;

- (void) setDataSourceController:(id)n;

@property (readonly) id bypassButton;
@property (assign, readwrite) BOOL collapsedFlag;
@property (readonly) BOOL optOnClick;

@end
