//
//  Fall.h
//  NewFXFormat
//
//  Created by bagheera on 7/18/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "FallElement.h"
@class FallElement;
#import "VVSliderControl.h"
#import "FXObject.h"


@interface Fall : FXObject {
	IBOutlet VVSliderControl		*smoothAmtSlider;	//	for setting the range & name of the slider
	float						smoothingFactor;	//	the float for the weighted avg
	NSMutableDictionary			*recentValues;		//	holds the recent slider vals, using the slider ptrs as keys
}

- (void) prepareToBeDeleted;

- (IBAction)smoothingSliderUsed:(id)sender;

- (void) processPassedPtr:(id)passedPtr;
- (void) handleSliderDeleted:(NSNotification *)note;


@end
