


@protocol LayerProtocol

@property (readonly) int depth;
@property (readonly) BOOL groupFlag;
- (NSMutableArray *) layerArray;
@property (assign, readwrite) NSString *layerName;
@property (readonly) id parentLayer;
@property (assign, readwrite) NSSize layerSize;
@property (assign, readwrite) NSRect activeRect;
@property (assign, readwrite) NSRect canvasActiveRect;
@property (assign, readwrite) NSRect windowActiveRect;
@property (readonly) id compFilter;
- (void) useCompModeNamed:(NSString *)realCompName;
@property (readonly) NSString *compName;
- (BOOL) containsThisLayer:(id)containsMe;
@property (readonly) id compositor;
- (void) fxChainModified;
- (int) orderedLayerIndex;
@property (readonly) id alphaSlider;
- (NSString *) currentSourceAsString;
@property (readonly) id currentSource;
@property (readonly) id alphaButton;

@end




@protocol LayerWindowProtocol

@property (readonly) id currentlyDisplayedLayer;
@property (readonly) id sourceCompUIController;

@end


