//
//  MIDIManager.h
//  VDMX
//
//  Created by bagheera on 11/25/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <VVMIDI/VVMIDI.h>
#import "GlobalKeys.h"
#import "DataSourceController.h"




@interface MIDIManager : VVMIDIManager {
	DataSourceController		*dataSourceController;
	id							appController;
	
	//pthread_rwlock_t			pollLock;
	//NSMutableArray				*pollArray;
	MutLockArray				*pollArray;
	
	NSMutableDictionary			*dedicatedSourcesDict;
}
+ (NSString *) naturalNameForMIDINoteValue:(int)noteVal;

- (id) initWithAppController:(id)a;

- (void) generalInit;

- (void) setupChanged;
- (void) receivedMIDI:(NSArray *)a;
- (void) bang;

- (void) saveDedicatedToDefaults;
- (void) loadDedicatedFromDefaults;

- (void) saveSourceEnableStatesToDefaults;
- (void) loadSourceEnableStatesFromDefaults;

- (void) registerForPollNotification:(NSNotification *)note;
- (void) unregisterForPollNotification:(NSNotification *)note;

- (NSMutableDictionary *) dedicatedSourcesDict;

@end
