//
//  NSBezierPathAdditions.h
//  VDMX
//
//  Created by bagheera on 7/6/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSBezierPath (NSBezierPathAdditions)

/*------------------------------------*/
//	IMPORTANT!
//	this returns a path that IS NOT CLOSED!
//	whatever calls this must CLOSE THE RETURNED PATH ASAP
+ (NSBezierPath *) roundRectPathInRect:(NSRect)rectFrame withRadius:(float)radius;
/*------------------------------------*/
//	IMPORTANT!
//	this returns a path that IS NOT CLOSED!
//	whatever calls this must CLOSE THE RETURNED PATH ASAP
+ (NSBezierPath *) halfRoundRectPathInRect:(NSRect)rectFrame withRadius:(float)radius;


+ (void) drawDarkGradientInRect:(NSRect)f;
+ (void) drawLightGradientInRect:(NSRect)f;


@end