//
//  NSStringAdditions.h
//  VDMX
//
//  Created by bagheera on 11/8/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSString (NSStringAdditions)

- (NSString *) clearedWhitespaces;	//	ACTUALLY SHA1 DIGEST!  USED FOR REGISTRATION!  MISLEADING NAME!
- (NSString *) lastChar;
- (NSString *) trimExtraSlashFromEnd;
- (NSString*) relativePathTo: (NSString*) endPath;

- (BOOL) containsString:(NSString *)s;

- (NSComparisonResult) filePathModDateSortMethod:(NSString *)fp;
- (NSComparisonResult) filePathNameSortMethod:(NSString *)fp;

- (NSString *) sha1DigestString;

@end
