//
//  VVCIGLContext.h
//  VDMX
//
//  Created by bagheera on 2/18/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GlobalKeys.h"
#import "VVGLContext.h"
#import <OpenGL/CGLMacro.h>
#import <Quartz/Quartz.h>


@interface VVCIGLContext : VVGLContext {
	CGColorSpaceRef		workingColorSpace;
	CGColorSpaceRef		outputColorSpace;
	CIContext			*ciContext;
}


+ (id) createWithContext:(NSOpenGLContext *)c textureCache:(CVOpenGLTextureCacheRef)tc sized:(NSSize)s;
- (id) initWithContext:(NSOpenGLContext *)c textureCache:(CVOpenGLTextureCacheRef)tc sized:(NSSize)s;

- (void) justDrawImage:(CIImage *)i;
- (void) drawImage:(CIImage *)i;
- (void) render:(CIImage *)i toBitmap:(void *)data rowBytes:(ptrdiff_t)rb bounds:(CGRect)b format:(CIFormat)f colorSpace:(CGColorSpaceRef)cs;

- (CIContext *) ciContext;


@end
