//
//  VVKQueueCenter.h
//  VDMX
//
//  Created by bagheera on 2/16/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <VVBasics/VVBasics.h>
//#import "MutLockArray.h"
#import "GlobalKeys.h"
#import <sys/types.h>
#import <sys/event.h>
#import <pthread.h>
#import "VVKQueue.h"




id mainCenter;




@interface VVKQueueCenter : NSObject {
	int						kqueueFD;
	MutLockArray		*pathArray;
	MutLockArray		*fdArray;
	MutLockArray		*delegateArray;
	
	BOOL					haltFlag;
	BOOL					currentlyProcessing;
}

+ (id) mainCenter;

+ (void) addObserver:(id)o forPath:(NSString *)p;
+ (void) removeObserver:(id)o;
+ (void) removeObserver:(id)o forPath:(NSString *)p;

- (void) addObserver:(id)o forPath:(NSString *)p;
- (void) removeObserver:(id)o;
- (void) removeObserver:(id)o forPath:(NSString *)p;

@end
