//
//  VVLocalPresetView.h
//  PluginFormat
//
//  Created by David Lublin on 10/23/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "VVLocalPresetButton.h"


#define MaxButtonCount			16
#define ButtonMinWidth			12
#define ButtonMaxWidth			500





@interface VVLocalPresetView : NSView <VVSnapshotProtocol> {
	VVButton			*readWriteButton;
	id					target;	//	my target
	
	int					indexOfCurrentPreset;
	
	NSMutableArray		*itemArray;
	
}

- (void)prepareToBeDeleted;
- (void)buttonUsed:(id)sender;
- (void)updateButtonStates;
- (void)setCapacityTo:(int)n;
- (void)addButtonFromSnapshot:(NSDictionary *)snap;
- (void)addButtonWithSnapshot:(NSDictionary *)snap;
- (void)resizeButtons;
//- (void)setAction:(SEL)n;
- (void)setTarget:(id)n;
- (void) setReadWriteButton:(id)n;

@end
