//
//  VVMinMaxBehavior.h
//  VDMX
//
//  Created by David Lublin on 8/25/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "FXObject.h"
#import "VVSliderControl.h"

@interface VVMinMaxBehavior : FXObject <VVSnapshotProtocol>	{
	float	min, max;
	IBOutlet VVSliderControl	*minSlider;
	IBOutlet VVSliderControl	*maxSlider;
}
- (void) prepareToBeDeleted;
- (IBAction) setMinValue:(id)sender;
- (IBAction) setMaxValue:(id)sender;
- (void) processPassedPtr:(id) passedPtr;
@end
