//
//  VVOSCManager.h
//  VDMX
//
//  Created by bagheera on 12/3/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <VVOSC/VVOSC.h>
#import "VVOSCOutPort.h"
#import "DataSourceController.h"




@interface VVOSCManager : OSCManager {
	id						appController;
	id						dataSourceController;
	NSMutableDictionary		*dedicatedSourcesDict;
}

- (id) initWithAppController:(id)a;

- (void) savePortsToDefaults;
- (void) loadPortsFromDefaults;

- (void) saveDedicatedToDefaults;
- (void) loadDedicatedFromDefaults;

- (NSString *) getUniqueDedicatedName;

- (NSMutableDictionary *) dedicatedSourcesDict;

@end
