//
//  VVPositionUI.h
//  VVSliders
//
//  Created by bagheera on 2/16/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
//#import <VVEssentials/VVEssentials.h>




@interface VVPositionUI : NSView {
	id				delegate;
	float			aspectRatio;		//	width/height
	float			xPos;			//	x position; 0.-1.
	float			yPos;			//	y position; 0.-1.
	NSRect			activeRect;
	
	id				target;
	SEL				action;
	id				dataSourceController;
	
	BOOL			rightMouseDown;
}

- (id) initWithFrame:(NSRect)newFrame andAspectRatio:(float)newRatio;
//	this method over-rides the superclasses default behavior of the first click in a non-key window bringing the window to front
- (BOOL) acceptsFirstMouse:(NSEvent *)theEvent;
- (void) setAspectRatio:(float)newRatio;
- (void) viewDidEndLiveResize;
- (void) calculateActiveRect;

- (void) setTarget:(id)newTarget;
- (void) setAction:(SEL)newAction;

- (void) setXVal:(float)newXVal;
- (float) xVal;
- (void) setYVal:(float)newYVal;
- (float) yVal;
- (void) setPointVal:(NSPoint)n;
- (NSPoint) pointVal;

- (void) setDataSourceController:(id)n;
- (id) delegate;
- (void) setDelegate:(id)n;

- (void) prepRawMenu:(NSMenu *)m;
- (IBAction) pointHolderChosen:(id)sender;


@end
