//
//  VVQCFile.h
//  VDMX
//
//  Created by David Lublin on 3/27/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>
#import <Quartz/Quartz.h>
#import <QuartzComposer/QCRenderer.h>
#import "VVFile.h"
//@class VVFile;
#import "TheApplication.h"




@interface VVQCFile : VVFile {
}


//	create / init
+ (NSImage *) thumbnailForQCAtPath:(NSString *)p;
+ (id) createWithCompositor:(id)newCompsitor;
+ (id) createWithPath:(NSString *)newPath andName:(NSString *)newName andCompositor:(id)newCompositor;
- (id) initWithCompositor:(id)newCompsitor;
- (id) initWithPath:(NSString *)newPath andName:(NSString *)newName andCompositor:(id)newCompositor;
- (void) initQCPatch;
//	snapshots
- (NSMutableDictionary *) convertQCPropsToDict;
- (void) convertDictToQCProps:(NSMutableDictionary *)dict;
- (BOOL) loadFromSnapshot:(NSMutableDictionary *)snap withFullPath:(NSString *)newPath andCompositor:(id)comp;


@end
