//
//  VVQCGLContext.h
//  VDMX
//
//  Created by bagheera on 2/13/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "VVGLContext.h"
#import <OpenGL/CGLMacro.h>
#import <Quartz/Quartz.h>
#import "TheApplication.h"
#import "VVQCComposition.h"




@interface VVQCGLContext : VVGLContext {
	NSString				*rendererPath;
	VVQCComposition			*composition;
	QCRenderer				*renderer;
	NSDate					*startTime;
}


+ (id) createWithPath:(NSString *)p textureCache:(CVOpenGLTextureCacheRef)tc andContext:(NSOpenGLContext *)c sized:(NSSize)s;
- (id) initWithPath:(NSString *)p textureCache:(CVOpenGLTextureCacheRef)tc andContext:(NSOpenGLContext *)c sized:(NSSize)s;

- (void) render;
- (void) draw;
- (void) drawToTransparentBG;

- (void) useFile:(NSString *)p;
- (void) useFile:(NSString *)p resetTimer:(BOOL)t;

- (NSString *) rendererPath;
- (VVQCComposition *) composition;
- (QCRenderer *) renderer;


@end
