//
//  VVQTGLContext.h
//  VDMX
//
//  Created by David Lublin on 2/9/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CoreVideo/CoreVideo.h>
#import "VVGLContext.h"
#import <OpenGL/CGLMacro.h>
#import <QTKit/QTKit.h>
#import "TheApplication.h"
#import "VVQTMovie.h"
#import <pthread.h>

@interface VVQTGLContext : NSObject {
	QTVisualContextRef			visualContext;
	VVQTMovie					*movie;
	
	pthread_mutex_t				threadLock;
}

- (void) useFileAtPath:(NSString *)p;
- (void) useFileAtDataReference:(QTDataReference *)ref;
- (void) render:(const CVTimeStamp *) syncTimeStamp;

- (VVQTMovie *) movie;
@end
