//
//  VVQTMovie.h
//  VVSliders
//
//  Created by bagheera on 3/12/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>
//#import "GlobalKeys.h"
//#import <VVEssentials/VVEssentials.h>
#import <pthread.h>



@interface VVQTMovie : QTMovie	{
	//NSLock			*vvLock;
	pthread_mutex_t	vvLock;
	id				subscriber;		//	ptr to whatever is currently using the VVQTMovie, so it can receive update notices
}
+ (id)movieWithFile:(NSString *)fileName error:(NSError **)errorPtr;
- (id)initWithFile:(NSString *)fileName error:(NSError **)errorPtr;
- (void) setSubscriber:(id)newSubscriber;
- (id) subscriber;
- (void) lock;
- (void) unlock;
- (void) setIdling:(BOOL)n;
#if VVQTIDLE
- (void) idle;
#endif

//- (void) setGWorld:(GWorldPtr)ptr;

@end
