//
//  VVRTapStub.h
//  VVSliders
//
//  Created by bagheera on 4/13/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>
#import "GlobalKeys.h"
#import "LayerProtocol.h"
#import "CompositorProtocol.h"
#import "MutableTextureObject.h"
@class VVSTap;




@interface VVRTapStub : NSObject {
	id						tapManager;
	VVSTap					*sTap;
	CVOpenGLTextureRef		textureRef;	//	the texture for my image.  this IS retained!
	BOOL					resetBounds;
	BOOL					leopardFlag;	//	on pre-10.5 systems, CIImageAccumulators don't have a 'clear' method
	BOOL					questionableColors;	//	some sources (<cough> websource) have fucked-up 24-bit textures that magically don't work in QCRenderers.  that's what this is for.  assholes.
}

+ createStubWithTapManager:(id)manager andSTap:(id)newSTap;
- (id) initWithTapManager:(id)manager andSTap:(id)newSTap;

- (NSComparisonResult) layerDepthComparison:(VVRTapStub *)comp;

- (CVOpenGLTextureRef) textureRef;
- (void) setTextureRef:(CVOpenGLTextureRef)n;
- (void) updateTextureSize;
- (void) setTextureRefFromOpenGLBufferRef:(id)bufferRef;

- (void) boundsChanged;
- (VVSTap *) sTap;
- (BOOL) questionableColors;
- (void) setQuestionableColors:(BOOL)n;

@end
