//
//  VVSMBehaviorListController.h
//  VDMX
//
//  Created by bagheera on 5/16/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "VVSliderManager.h"
@class VVSliderManager;




@interface VVSMBehaviorListController : NSObject {
	IBOutlet VVNSPopUpButton		*behaviorPopUpButton;
	IBOutlet VVSliderManager		*sliderManager;
	BOOL						acknowledgeSelectionChange;	//	if YES, then changes to the list's selection affect the currently selected slider(s)
}

//	notification is posted when the list of available behaviors has changed
- (void) behaviorsChangedNotification:(NSNotification *)note;

- (void) selectItemForString:(NSString *)a;
- (IBAction) behaviorPopUpButtonUsed:(id)sender;

- (void) reloadView;

//	periodically, i may need to ignore selection-changes from the outlineView
- (void) setAcknowledgeSelectionChange:(BOOL)newValue;
- (BOOL) acknowledgeSelectionChange;

@end
