//
//  VVTextFile.h
//  VDMX
//
//  Created by David Lublin on 4/19/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
//#import <VVEssentials/VVEssentials.h>
#import "VVFile.h"
//@class VVFile;
#import "TheApplication.h"




@interface VVTextFile : VVFile {
	NSMutableString		*myString;
	NSStringEncoding	encoding;
	
	BOOL				readOnlyFlag;
	BOOL				storeStringWithSetFileFlag;
}
+ (BOOL) isTextFileType:(NSString *)path;
+ (id) createWithCompositor:(id)newCompsitor;
+ (id) createWithName:(NSString *)newName andCompositor:(id)newCompsitor;
+ (id) createWithPath:(NSString *)newPath andName:(NSString *)newName andCompositor:(id)newCompositor;
- (id) initWithCompositor:(id)newCompsitor;
- (id) initWithName:(NSString *)newName andCompositor:(id)newCompsitor;
- (id) initWithPath:(NSString *)newPath andName:(NSString *)newName andCompositor:(id)newCompositor;
- (void) initTextFile;
- (BOOL) loadFromSnapshot:(NSMutableDictionary *)snap withCompositor:(id)comp;
- (BOOL) loadFromSnapshot:(NSMutableDictionary *)snap withFullPath:(NSString *)newPath andCompositor:(id)comp;
- (NSMutableDictionary *) convertPropsToDict;
- (void) convertDictToProps:(NSMutableDictionary *)dict;
- (NSMutableString *) myString;
- (void) setMyString:(NSString *)n;
- (BOOL) readOnlyFlag;
- (void) setReadOnlyFlag:(BOOL)n;
@end
