//
//  VVTextImageCell.h
//  VDMX
//
//  Created by bagheera on 4/14/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GlobalKeys.h"




@interface VVTextImageCell : NSTextFieldCell {
	NSImage			*image;
	NSRect			imageSrcRect;
	id				imageTarget;
	SEL				imageAction;
}

+ (id) create;

- (void) editWithFrame:(NSRect)r inView:(NSView *)v editor:(NSText *)t delegate:(id)d event:(NSEvent *)e;
- (void) endEditing:(NSText *)t;

- (NSImage *) image;
- (void) setImage:(NSImage *)n;
- (id) imageTarget;
- (void) setImageTarget:(id)n;
- (SEL) imageAction;
- (void) setImageAction:(SEL)n;

@end
