//
//  VVWebView.h
//  VDMX
//
//  Created by David Lublin on 2/26/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>
#import <WebKit/WebView.h>




@interface VVWebView : WebView {
	BOOL					snowLeopardFlag;
	BOOL					deleted;
	//NSBitmapImageRep		*fourColorBitmap;	//	in 10.6, webviews give off 32-big RGBA image reps
	NSBitmapImageRep		*bitmapImageRep;	//	the 24-bit RGB image rep used by corevideo
}

- (void) prepareToBeDeleted;

- (void) render;

- (NSSize) getPageSize;
- (NSRect) documentVisibleRect;

- (NSBitmapImageRep *) bitmapImageRep;

@end
