



@protocol AppControllerProtocol

@property (readonly) id masterClock;
@property (readonly) id compositor;
@property (readonly) id dataSourceController;
@property (readonly) id rootFolder;
@property (readonly) id fileLoader;
@property (readonly) long qtVersion;
@property (readonly) id oscManager;
@property (readonly) id midiManager;
@property (readonly) id pluginManager;
@property (readonly) id pageController;
@property (readonly) id SGController;
@property (readonly) id presetManager;
@property (readonly) BOOL internetAvailable;

@end








@protocol PluginManagerProtocol

@property (readonly) NSMutableArray *pluginArray;
- (void) addTheseFilesToQueue:(NSArray *)a withParent:(id)p atIndex:(int)i isGridIndex:(BOOL)g;
- (id) pluginInstanceNamed:(NSString *)n;

@end





@protocol AppWindowMenuControllerProtocol

- (void) reloadMenuContents;
@property (readonly) BOOL interfaceLock;
@property (readonly) BOOL interfaceLockAll;
- (void) setLock:(BOOL)newLock andLockAll:(BOOL)newLockAll;

@end










@protocol PresetManagerProtocol

@property (readonly) NSString *savePath;
@property (readonly) NSMutableArray *missingFileArray;
@property (readonly) NSMutableArray *missingFileSnapArray;

@end










@protocol SGControllerProtocol

- (void) startRecordingFromRightClick;

@end

