//
//  CIPopUpElement.h
//  VDMX
//
//  Created by bagheera on 9/12/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "VVNSPopUpButton.h"
#import "VVSnapshotProtocol.h"




@interface CIPopUpElement : NSBox <VVSnapshotProtocol> {
	VVNSPopUpButton			*button;
	NSString				*keyType;	//	since this is a general PopUpButton UI, this lets you specify a type (such as QCPortTypeIndex)
	NSMenu					*localMenu;
	id						target;
	SEL						action;
	NSString				*key;
}

- (NSString *) keyType;
- (void) setKeyType:(NSString *) newType;
- (NSMenu *) localMenu;
- (void) setLocalMenu:(NSMenu *) newMenu;
- (void) menuUsed:(id)sender;
- (VVNSPopUpButton *) button;
- (void) setTarget:(id)newTarget;
- (void) setAction:(SEL)newAction;

//	all CI & QC elements respond to this method, and return their "name" (the name of the attribute in the CI or QC patch)
@property (assign, readwrite) NSString *key;

@end