


@protocol MediaBinProtocol

- (id) gridController;
- (id) triggerQueueController;
- (long) currentPageId;

@end






@protocol MediaBinTriggerQueueControllerProtocol

- (void) makeThisLayerNext:(id)n;
- (BOOL) containsLayer:(id)l;

@end






@protocol MediaBinGridProtocol

- (id) currentlyDisplayed;
- (id) selectedIndexSet;
- (NSMutableDictionary *) dragContents;
- (NSArray *) selectedIdsArray;

@end






@protocol MediaBinLayerControllerProtocol

- (void) triggerThisLayer:(id)triggerMe;
- (id) mostRecentLayer;

@end


