//
//  MutableTextureObject.h
//  VVSliders
//
//  Created by bagheera on 2/15/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QuartzCore/CoreVideo.h>
#import "GlobalKeys.h"




@interface MutableTextureObject : NSObject {
	CVOpenGLTextureRef			textureRef;	//	texture to pass on
	CVOpenGLBufferRef			bufferARef;		//	scratch buffer, sized appropriately
	CVOpenGLBufferRef			bufferBRef;		//	other scratch buffer...
	CVOpenGLBufferRef			bufferCRef;		//	third scratch buffer...
	BOOL						questionableColors;	//	some sources (<cough> websource) have fucked-up 24-bit textures that magically don't work in QCRenderers.  that's what this is for.  assholes.
}


+ (id) createWithTexture:(CVOpenGLTextureRef)t andBufferDict:(NSDictionary *)b;
- (id) initWithTexture:(CVOpenGLTextureRef)t andBufferDict:(NSDictionary *)b;

- (void) rotateXBuffers:(int)n;

@property (assign, readwrite) CVOpenGLTextureRef textureRef;
@property (assign, readwrite) CVOpenGLBufferRef bufferARef;
@property (assign, readwrite) CVOpenGLBufferRef bufferBRef;
@property (assign, readwrite) CVOpenGLBufferRef bufferCRef;

@property (assign, readwrite) BOOL questionableColors;


@end
