/* Smooth */

#import <Cocoa/Cocoa.h>
#import "FXObject.h"
//#import <VVEssentials/VVEssentials.h>
#import "SmoothElement.h"
@class SmoothElement;
#import "VVSliderControl.h"



@interface Smooth : FXObject <VVSnapshotProtocol>	{
    IBOutlet VVSliderControl					*smoothAmtSlider;	// for setting the range & name of the slider
    float						smoothingFactor;	// the float for the weighted avg
    MutLockDict					*recentValues;		// holds the recent slider values, using the slider ptrs as keys
}


- (void) prepareToBeDeleted;

- (IBAction)smoothingSliderUsed:(id)sender;

- (void) processPassedPtr:(id)passedPtr;
- (void) handleSliderDeleted:(NSNotification *)note;


@end
