



@protocol TapManagerProtocol

- (id) compositor;
- (void) removeThisRTap:(id) removeMe;
- (void) thisRTap:(id)tap wantsToReceiveFrom:(NSString *)newTapName;

- (id) sTapNamed:(NSString *)n;
- (id) layerForSTapNamed:(NSString *)n;
- (NSArray *) sTapKeyArray;
- (NSArray *) sTapKeyArraySortedByIndex;
- (NSArray *) rTapsForName:(NSString *)n;

//- (NSMutableDictionary *) sTapDict;
//- (NSMutableDictionary *) rTapDict;
- (NSMutableDictionary *) rTapStubDict;
- (NSMenu *) sortedSTapMenu;
- (NSMenu *) sortedLayerSTapMenu;
- (NSMenu *) sortedInputSTapMenu;

@end





