/* Trianglize */

#import <Cocoa/Cocoa.h>
#import "FXObject.h"
//#import <VVEssentials/VVEssentials.h>
//#include "GlobalKeys.h"
//#import "FXObject.h"
#import "TriangleView.h"
@class TriangleView;
#import "VVSliderControl.h"

@interface Trianglize : FXObject <VVSnapshotProtocol>
{
	IBOutlet VVSliderControl		*toHeightSlider;
	IBOutlet VVSliderControl		*toCenterSlider;
	
	IBOutlet NSTabView			*tabView;
	IBOutlet TriangleView		*triangleView;
	
	float						centerVal;
	float						heightVal;
}

- (void) prepareToBeDeleted;

- (float)centerVal;
- (float)heightVal;
- (void)setCenterVal:(float)new;
- (void)setHeightVal:(float)new;
- (IBAction)setCenterSlider:(id)sender;
- (IBAction)setHeightSlider:(id)sender;
- (void) processPassedPtr:(id) passedPtr;

//	to avoid redraw fuckups, i'm going to over-ride the resizing method, and adjust the box's contents auto-magically...
- (void) fxResizingHeight:(int)newHeight;

//	these methods are for saving/restoring the state of the UI object
//- (void) putUISnapshotInDict:(NSMutableDictionary *)fxDict;
//- (void) loadUISnapshotFromDict:(NSDictionary *)fxDict;

@end
