//
//  VVColorUI.h
//  VDMX
//
//  Created by bagheera on 8/8/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
//#import <pthread.h>
//#import <VVEssentials/VVEssentials.h>




@interface VVColorUI : NSView {
	id					delegate;
	pthread_mutex_t		colorLock;
	float				red;
	float				green;
	float				blue;
	id					dataSourceController;
}

- (void) setFillColor:(NSColor *)n;
- (void) setColorWithRed:(float)r green:(float)g blue:(float)b;

- (id) dataSourceController;
- (void) setDataSourceController:(id)n;
- (id) delegate;
- (void) setDelegate:(id)n;

- (void) prepRawMenu:(NSMenu *)m;
- (IBAction) colorHolderChosen:(id)sender;

@end
