//
//  VVGL2LayerContext.h
//  VDMX
//
//  Created by bagheera on 7/14/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GlobalKeys.h"
#import "VVGLContext.h"




@interface VVGL2LayerContext : VVGLContext {
	float					wetDryValue;
	CVOpenGLTextureRef		backTextureRef;
	CVOpenGLTextureRef		frontTextureRef;
	
	GLenum					sFactor;
	GLenum					dFactor;
}

+ (id) createWithContext:(NSOpenGLContext *)c textureCache:(CVOpenGLTextureCacheRef)tc sized:(NSSize)s;
- (id) initWithContext:(NSOpenGLContext *)c textureCache:(CVOpenGLTextureCacheRef)tc sized:(NSSize)s;

- (void) setWetDryValue:(float)n;
- (void) setBackTextureRef:(CVOpenGLTextureRef)n;
- (void) setFrontTextureRef:(CVOpenGLTextureRef)n;
- (void) setDFactor:(int)n;

- (float) wetDryValue;

@end
