//
//  VVQCGLAttrPubBuffContext.h
//  VDMX
//
//  Created by bagheera on 7/7/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "VVQCGLAttrPubContext.h"




@interface VVQCGLAttrPubBuffContext : VVQCGLAttrPubContext {
	CVOpenGLBufferRef		bufferRef;
	BOOL					bufferNeedsReset;	//	if YES, i need to reset (delete & recreate) the buffer
}

+ (id) createWithPath:(NSString *)p textureCache:(CVOpenGLTextureCacheRef)tc andContext:(NSOpenGLContext *)c sized:(NSSize)s;
+ (id) createWithPath:(NSString *)p textureCache:(CVOpenGLTextureCacheRef)tc andContext:(NSOpenGLContext *)c sized:(NSSize)s publishOutputs:(BOOL)o;
- (id) initWithPath:(NSString *)p textureCache:(CVOpenGLTextureCacheRef)tc andContext:(NSOpenGLContext *)c sized:(NSSize)s;
- (id) initWithPath:(NSString *)p textureCache:(CVOpenGLTextureCacheRef)tc andContext:(NSOpenGLContext *)c sized:(NSSize)s publishOutputs:(BOOL)o;

- (void) setSize:(NSSize)s;

@end
