//
//  VVRectangleUI.h
//  VVSliders
//
//  Created by bagheera on 3/14/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface VVRectangleUI : NSView {
	float				aspectRatio;		//	width/height
	float				xPos;			//	x position; 0.-1.
	float				yPos;			//	y position; 0.-1.
	float				width;			//	width; 0.-1.
	float				height;			//	height; 0.-1.
	NSRect				activeRect;
	
	id					target;
	SEL					action;
}

- (id) initWithFrame:(NSRect)newFrame andAspectRatio:(float)newRatio;
//	this method over-rides the superclasses default behavior of the first click in a non-key window bringing the window to front
- (BOOL) acceptsFirstMouse:(NSEvent *)theEvent;
- (void) setAspectRatio:(float)newRatio;
- (void) viewDidEndLiveResize;
- (void) calculateActiveRect;

- (void) setTarget:(id)newTarget;
- (void) setAction:(SEL)newAction;

- (void) setXPos:(float)new;
- (float) xPos;
- (void) setYPos:(float)new;
- (float) yPos;
- (void) setWidth:(float)new;
- (float) width;
- (void) setHeight:(float) new;
- (float) height;

@end
