//
//  VVSMDSListController.h
//  VDMX
//
//  Created by bagheera on 5/15/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "VVSliderManager.h"
@class VVSliderManager;
#import "DataSourceController.h"
@class DataSourceController;
#import "RandomUIObjects.h"




@interface VVSMDSListController : NSObject {
	IBOutlet VVNSPopUpButton			*sourcePopUpButton;
	IBOutlet VVSliderManager			*sliderManager;
	IBOutlet DataSourceController		*dataSourceController;
	BOOL								acknowledgeSelectionChange;	//	if YES, then changes to the list's selection affect the currently selected slider(s)
	IBOutlet FirstResponderTextField	*dataSourceNameTextField;
}

- (void) selectItemForSourceArray:(NSArray *)a;
- (void) deselectAllItemsInMenu:(NSMenu *)m;
- (BOOL) selectItemForSourceString:(NSString *)s inMenu:(NSMenu *)m;
- (IBAction) sourcePopUpButtonUsed:(id)sender;
- (IBAction) dataSourceTextFieldUsed:(id)sender;

- (void) reloadView;
- (void) prepRawMenu:(NSMenu *)m;

- (BOOL) acknowledgeSelectionChange;
- (void) setAcknowledgeSelectionChange:(BOOL)newValue;

- (void) reloadDSContextualMenu;

@end
