//
//  VVSplineViewBox.h
//  VDMX
//
//  Created by David Lublin on 3/6/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "VVSnapshotProtocol.h"
//#import <VVEssentials/VVEssentials.h>
#import "VVSingleSplineView.h"
//@class VVSingleSplineView;
#import "VVButton.h"
//@class VVButton;
//#import "VVEssentials/VVEssentials.h"
//#import "VVWaveformPopUpButton.h"
//@class VVWaveformPopUpButton;
//#import "VVSplineToolsView.h"
//@class VVSplineToolsView;
#import "VVWaveformPopUpButton.h"




@interface VVSplineViewBox : NSBox <VVSnapshotProtocol> {
	//	wave type / presets
	IBOutlet	VVWaveformPopUpButton		*loadWaveMenu;
	IBOutlet	id						saveToDiskButton;
	IBOutlet	NSTextField				*fileNameTextField;
	IBOutlet	NSTextField				*loadTextField;
	IBOutlet	VVSingleSplineView			*splineView;
}

- (void) prepareToBeDeleted;
- (void) clearTrackingRects;
- (void) resetTrackingRects;
//	these methods are for saving/restoring the state of the UI object
//- (void) putUISnapshotInDict:(NSMutableDictionary *)fxDict;
//- (NSMutableDictionary *) createSnapshot;
//- (void) loadUISnapshotFromDict:(NSDictionary *)fxDict;
//	IBActions
- (IBAction) saveButtonUsed:(id)sender;
- (IBAction) fileNameTextFieldUsed:(id)sender;
//	key value
- (VVSingleSplineView *)splineView;
- (VVWaveformPopUpButton *) loadWaveMenu;


@end
