//
//  VVStatChecker.h
//  VDMX
//
//  Created by bagheera on 4/11/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#include <stdio.h>
#include <sys/param.h>
#include <sys/sysctl.h>
#include <unistd.h>
#include <mach/mach.h>
#include <mach/mach_types.h>
//#import <IOKit/graphics/IOGraphicsLib.h>
#import "GlobalKeys.h"


typedef enum _VVOSVersion	{
	VVOSVersionError=-1,
	//VVJaguar = 0x1020,
	//VVPanther = 0x1030,
	VVTiger = 4,
	VVLeopard = 5,
	VVSnowLeopard = 6
} VVOSVersion;

int		cachedMovieCount;
int		preRollThreshold;
BOOL	stopPrerolling;
BOOL	belowMemoryThreshold;
BOOL	dialogOpen;

@interface VVStatChecker : NSObject {

}

+ (void) incrementCachedMovieCount;
+ (void) decrementCachedMovieCount;
+ (BOOL) checkMemoryThreshold;
+ (void) openMemoryWarningAlert;
+ (BOOL) stopPrerolling;

+ (VVOSVersion) majorSysVersion;
+ (NSMutableArray *) gpuVendorArray;
//- (void) statCheckNotification:(NSNotification *)note;
+ (double) availableRAM;
+ (BOOL) belowPhysicalRAMThreshold;
+ (void) updateBelowMemoryThreshold;

@end
