//
//  VVWarpMarker.h
//  PluginFormat
//
//  Created by David Lublin on 7/22/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>
#import "NSValueQTKitAdditions.h"
//#import "GlobalKeys.h"
//#import <VVEssentials/VVEssentials.h>



@interface VVWarpMarker : NSObject {
	QTTime		originalTime;	//	where in the original movie this clip is located
	QTTime		warpTime;		//	where in my meta movie this clip is located.. will change whenever the meta movie changes.. don't change this manually!
	float		beatPosition;	//	change this setting and it'll automatically set the warpTime when you update the movie
}

- (id) initWithOriginalTime:(QTTime)newOriginalTime andDuration:(float)newDuration;

- (void) setOriginalTime:(QTTime) newTime;
- (void) setWarpTime:(QTTime) newTime;
- (void) setBeatPosition:(float) newPosition;

- (QTTime) originalTime;
- (QTTime) warpTime;
- (float) beatPosition;

- (NSMutableDictionary *) returnSnapshot;
- (void) loadSnapshot:(NSMutableDictionary *) snap;
@end
